Index: trunk/VUT/GtpVisibilityPreprocessor/src/ViewCellsManager.cpp
===================================================================
--- trunk/VUT/GtpVisibilityPreprocessor/src/ViewCellsManager.cpp	(revision 598)
+++ trunk/VUT/GtpVisibilityPreprocessor/src/ViewCellsManager.cpp	(revision 600)
@@ -3164,7 +3271,8 @@
 							   *cuttingPlane,
 							   mViewSpaceBox, 
-							   0.0001);
-
-			exporter->ExportPolygons(back.mPolys);
+							   0.0001f);
+
+			if ((int)back.mPolys.size() >= 3)
+				exporter->ExportPolygons(back.mPolys);
 		}
 	}
